> For the complete documentation index, see [llms.txt](https://developers.mobile-text-alerts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.mobile-text-alerts.com/getting-started/api-basics/request-parameters.md).

# Request Parameters

Learn the types of parameters used in a request to the Mobile Text Alerts API.

## Header Parameters

Header parameters are included in the request headers. All requests to the Mobile Text Alerts API require a valid `Authorization` header. See [Request Headers](/getting-started/api-basics/request-response-headers.md#request-headers) to learn more.

## Path Parameters

Path parameters (sometimes called path variables) are part of the endpoint itself and are not optional when making a request to certain endpoints.

For example, when calling the [**Update Drip Campaign** endpoint](/api-reference/drip-campaigns.md#patch-drip-campaigns-dripcampaignid):

<pre><code>https://api.mobile-text-alerts.com/v3/drip-campaigns/<a data-footnote-ref href="#user-content-fn-1">{dripCampaignId}</a>
</code></pre>

The `{dripCampaignId}` is a `string` that identifies the ID of the campaign to be updated.

## Request Bodies

The request body contains the data being transferred. This is particularly important for methods such as `POST`, `PATCH`, and `DELETE`, where data is sent to the server. This data is typically sent as JSON.

For example, when calling the **Update Drip Campaign** endpoint, the `name` and `endDate` of a campaign can be updated in the request body:

```json
{
    "name": "<string>",
    "endDate": "<YYYY-MM-DD HH:mm:ss>"
}
```

Example request to [**Update Drip Campaign** endpoint](/api-reference/drip-campaigns.md#patch-drip-campaigns-dripcampaignid):

<pre class="language-bash" data-overflow="wrap"><code class="lang-bash">curl --location --request PATCH 'https://api.mobile-text-alerts.com/v3/drip-campaigns/<a data-footnote-ref href="#user-content-fn-2">12345</a>' \
  --header 'Authorization: Bearer &#x3C;APIKey>' \
  --header 'Content-Type: application/json' \
  --data '{
    "name": "Example Campaign Name"
<strong>}'
</strong></code></pre>

[^1]: Path parameter

[^2]: {dripCampaignId}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.mobile-text-alerts.com/getting-started/api-basics/request-parameters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
